Skip Menu |
 

This queue is for tickets about the W3C-LogValidator CPAN distribution.

Report information
The Basics
Id: 117591
Status: new
Priority: 0/
Queue: W3C-LogValidator

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in:
  • 1.4
  • 1.5
Fixed in: (no value)



Subject: Can't use 'defined(@array)'
Download (untitled) / with headers
text/plain 728b
The module does not compile anymore for perl 5.22.0 and newer. See http://matrix.cpantesters.org/?dist=W3C-LogValidator%201.4 for an overview. Test suite fails as following: PERL_DL_NONLAZY=1 "/usr/perl5.24.0p/bin/perl5.24.0" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t Can't use 'defined(@array)' (Maybe you should just omit the defined()?) at /home/cpansand/.cpan/build/2016090700/W3C-LogValidator-1.4-R5pAO8/blib/lib/W3C/LogValidator.pm line 563. Compilation failed in require at t/base.t line 5. BEGIN failed--compilation aborted at t/base.t line 5. t/base.t .............. Dubious, test returned 2 (wstat 512, 0x200) No subtests run
Download (untitled) / with headers
text/plain 830b
On 2016-09-07 15:24:14, SREZIC wrote: Show quoted text
> The module does not compile anymore for perl 5.22.0 and newer. See > http://matrix.cpantesters.org/?dist=W3C-LogValidator%201.4 for an > overview. > > Test suite fails as following: > > PERL_DL_NONLAZY=1 "/usr/perl5.24.0p/bin/perl5.24.0" "- > MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef > *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" > t/*.t > Can't use 'defined(@array)' (Maybe you should just omit the > defined()?) at /home/cpansand/.cpan/build/2016090700/W3C-LogValidator- > 1.4-R5pAO8/blib/lib/W3C/LogValidator.pm line 563. > Compilation failed in require at t/base.t line 5. > BEGIN failed--compilation aborted at t/base.t line 5. > t/base.t .............. > Dubious, test returned 2 (wstat 512, 0x200) > No subtests run
Still a problem in 1.5.
Download (untitled) / with headers
text/plain 1.1k
On 2017-08-24 14:34:27, SREZIC wrote: Show quoted text
> On 2016-09-07 15:24:14, SREZIC wrote:
> > The module does not compile anymore for perl 5.22.0 and newer. See > > http://matrix.cpantesters.org/?dist=W3C-LogValidator%201.4 for an > > overview. > > > > Test suite fails as following: > > > > PERL_DL_NONLAZY=1 "/usr/perl5.24.0p/bin/perl5.24.0" "- > > MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef > > *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" > > t/*.t > > Can't use 'defined(@array)' (Maybe you should just omit the > > defined()?) at /home/cpansand/.cpan/build/2016090700/W3C-LogValidator- > > 1.4-R5pAO8/blib/lib/W3C/LogValidator.pm line 563. > > Compilation failed in require at t/base.t line 5. > > BEGIN failed--compilation aborted at t/base.t line 5. > > t/base.t .............. > > Dubious, test returned 2 (wstat 512, 0x200) > > No subtests run
> > Still a problem in 1.5. >
A possible patch: http://cpan.cpantesters.org/authors/id/S/SR/SREZIC/patches/W3C-LogValidator-1.5-RT117591.patch CPAN.pm users can copy the following distroprefs file for automatic patching: https://github.com/eserte/srezic-cpan-distroprefs/blob/master/W3C-LogValidator.yml


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.